Bug 175430 - mountpoints with smbfs are hanging after a while
mountpoints with smbfs are hanging after a while
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Layton
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-12-10 05:55 EST by Christian Hobelsberger
Modified: 2008-01-15 06:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-15 06:34:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christian Hobelsberger 2005-12-10 05:55:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8b5) Gecko/20051006 Firefox/1.4.1

Description of problem:
we have different samba-shares of a samba-fileserver mounted on two RHES4 (latest updates installed) machines using smbfs. 
At least once in two days the mountpoints suddenly hang - and can not be accessed any longer. 
smbiod seems to have 100% CPU-usage in these situations.
unmounting not possible.
only a "reboot -f" solves the problem ... the machine reboots without problems, mounts the shares again and works without problems for some time. The mountpoints can be access without problems ... till the mountpoint suddendly hangs again. Happens typicall at least once in two days.

It does not seem to be related to the amount of traffic - as it already happend while the machines were not in use (but that the shares mounted).

i can almost elimintate the network as source of the problems, as i have 10 older mandriva installations mounting the shares of the fileserver, too - but they had never that problems (they are using a 2.4 kernel and samba-client 3.0.4)

Version-Release number of selected component (if applicable):
2.6.9-22.0.1.ELsmp; samba-client-3.0.10-1.4E.2;samba-common-3.0.10-1.4E.2

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
i can not determine the situation when the mountpoints hang ... it happens suddenly after a longer time of working without problems  

Expected Results:  the mountpoints should not hang 

Additional info:

THe two machines having the problem are running in runlevel 3, no X running ... active services are apache, cron, at, anachron, sshd, xinetd, postfix - dell-tools for server administration.
Comment 3 Jeff Layton 2007-07-18 13:34:22 EDT
Hi Christian,
   I'd suggest first trying the kernels on my people page:


...they have some smbfs patches that might be helpful here. If that doesn't help
then it's going to be hard to proceed without a reproducer. Is there anything in
the ring buffer (dmesg) when this occurs?

If we have something to go on here, I'll take a closer look, but the best option
going forward is to move to CIFS. smbfs has a lot of unresolved upstream bugs
and design issues.

Let me know what the results are...

Comment 4 Jeff Layton 2008-01-15 06:34:19 EST
No response in several months. Closing bug with resolution of INSUFFICIENT_DATA,
please reopen if you're still having this problem.

Note You need to log in before you can comment on or make changes to this bug.